| Home | Libraries | People | FAQ | More

##### url_view::has_query

Return true if a query is present.

###### Synopsis

    bool
    has_query() const;

###### Description

This function returns true if this contains a query. An empty query is distinct from having no query.

###### Example

    assert( url_view( "/sql?id=42&col=name&page-size=20" ).has_query() );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    query           = *( pchar / "/" / "?" )

    query-param     = key [ "=" value ]
    query-params    = [ query-param ] *( "&" query-param )

###### Specification

- <a href="https://datatracker.ietf.org/doc/html/rfc3986#section-3.4 >3.4. Query (rfc3986)</a> @li <a href="https://en.wikipedia.org/wiki/Query_string" >Query string (Wikipedia)

###### See Also

`encoded_params`, `encoded_query`, `params`, `query`.